aboutsummaryrefslogtreecommitdiff
path: root/version.sh
diff options
context:
space:
mode:
authorMike Gabriel <mike.gabriel@das-netzwerkteam.de>2015-02-17 09:28:03 +0100
committerMike Gabriel <mike.gabriel@das-netzwerkteam.de>2015-02-17 09:28:03 +0100
commitc910bf7cd3c5a7ec079fee08234f51dea0deb576 (patch)
tree4f6b6a523afa97e065c3c786e2c6d4ae3a00893f /version.sh
parent65deb86f8dab0c88e051b5ac416b7907433aa849 (diff)
parent203d97147623b97a48c0f6456cc1de9d8364db03 (diff)
downloadnx-libs-c910bf7cd3c5a7ec079fee08234f51dea0deb576.tar.gz
nx-libs-c910bf7cd3c5a7ec079fee08234f51dea0deb576.tar.bz2
nx-libs-c910bf7cd3c5a7ec079fee08234f51dea0deb576.zip
Merge pull request #3 from sunweaver/feature/nxagent-version-v2
Make nxagent aware of its NX'ish version string (and number).
Diffstat (limited to 'version.sh')
-rwxr-xr-xversion.sh34
1 files changed, 34 insertions, 0 deletions
diff --git a/version.sh b/version.sh
new file mode 100755
index 000000000..891536890
--- /dev/null
+++ b/version.sh
@@ -0,0 +1,34 @@
+#!/bin/sh
+
+# Copyright (C) 2015 Mihai Moldovan <ionic@ionic.de>
+# Copyright (C) 2015 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the
+# Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.
+
+COMPONENT="$1"
+VERSION_FILE="VERSION"
+
+case "${COMPONENT}" in
+ (1|2|3|4) :;;
+ (*) echo "usage: $(basename ${0}) <position-in-version-number>" >&2; exit 1;;
+esac
+
+# More than one line is not supported.
+VER="$(head -n "1" "${VERSION_FILE}" | cut -d"." -f"${COMPONENT}")"
+
+[ "x${VER}" = "x" ] && VER="0"
+
+printf "${VER}"